PAMinspection - Bug #1093

goooooooo ooooooo 0DoD oDOoDd
04/09/2019 01:02 PM - Abdelhalim Abu Qamar

Status:

Priority:
Assignee:
Category:
Target version:
Co-Workers:
Severity:
Category:
Sub-Category:
Step_Description:
Pre_Conditions:

Expected Result:

Closed
High
Abdelhalim Abu Qamar

Normal

inspection report

Start date:

Due date:

% Done:
Estimated time:
Spent time:
Actual Result:

Environment:

Transaction Number:

Username:
Browser:
URL:

Test Case ID:

04/09/2019
04/17/2019
100%

0.00 hour
0.00 hour

Production

Description

kindly update report (INSRep_Exist_Emp_servelt) to show 000000 000 that must read from WORKER_NAME from table
INS_VISIT_EXISTING_WORKERS
to find real example @prod.

report url :

https://e-portal.manpower.gov.kw/PampReportsll/INSRep_Exist Emp_servelt?visitid=199818&userid=U01101093862588

History

#1 - 04/09/2019 01:35 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

- % Done changed from 0 to 100

done on prod

#2 - 04/09/2019 03:37 PM - Abdelhalim Abu Qamar

- Status changed from Open to In Progress

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

also to show NATIONALITY description for the same example by NATIONALITY_ID

#3 - 04/09/2019 04:03 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

done on production using table V_HR_G_COUNTRY by* COUNTRY_CODE#* as ID, COUNTRY_DESC

#4 - 04/10/2019 10:10 AM - Abdelhalim Abu Qamar
- Due date set to 04/10/2019

- Status changed from In Progress to Closed

- Environment Production added

- Environment deleted (Development)
https://e-portal.manpower.gov.kw/PampReportsII/INSRep_Exist_Emp_servelt?visitid=199818&userid=U01101093862588

#5 - 04/11/2019 11:12 AM - Abdelhalim Abu Qamar

- Status changed from Closed to In Progress

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer
- Environment Development added

- Environment deleted (Production)

while NATIONALITY_ID =0

kindly used :

SELECT

(SELECT con.COUNTRY_DESC

FROM MOSAL_USER.V_HR_G_COUNTRY con
WHERE COUNTRY_CODE# = info.NATIONALITY

)
FROM NDB.CIVIL_INFO info
WHERE info.CIVIL_ID = :p_CIVIL_ID ;

#6 - 04/11/2019 12:21 PM - Ahmad Amer
- Due date changed from 04/10/2019 to 04/11/2019

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar
done on both production and test

#7 - 04/11/2019 12:40 PM - Abdelhalim Abu Qamar
- Status changed from In Progress to Closed
- Environment Production added

- Environment deleted (Development)

#8 - 04/16/2019 02:46 PM - Abdelhalim Abu Qamar

- Status changed from Closed to In Progress

while WORKER_NAME is null and IDENTIFICATION_TYPE_ID = 1 then
kindly used :
SELECT info.NAME FROM NDB.CIVIL_INFO info WHERE CIVIL_ID = :P_IDENTIFIC_NUM,;

to fill 00000 000

#9 - 04/17/2019 01:27 PM - Abdelhalim Abu Qamar
- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer
- Environment Development added

- Environment deleted (Production)
#10 - 04/17/2019 03:41 PM - Ahmad Amer

- Due date changed from 04/11/2019 to 04/17/2019

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar
done on prod

#11 - 04/18/2019 12:37 PM - Abdelhalim Abu Qamar
- Status changed from In Progress to Closed
- Environment Production added

- Environment deleted (Development)
